package com.xkrs.model.entity;

import javax.persistence.*;

/**
 * @Author: XinYi Song
 * @Date: 2022/1/20 15:01
 */
@Entity
@Table(name = "qc_inspection_file")
public class FileEntity {
    /**
     * 主键id
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "qc_inspection_file_seq_gen")
    @SequenceGenerator(name = "qc_inspection_file_seq_gen", sequenceName = "qc_inspection_file_id_seq", allocationSize = 1)
    private Integer id;

    /**
     * 批次号
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String lotNo;

    /**
     * 机器号
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String machineNo;

    /**
     * 物料号
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String materialNo;

    /**
     * 模具号
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String modelNo;

    /**
     * 零件号
     */
    @Column(length = 85, columnDefinition = "varchar(85)")
    private String partNo;

    /**
     * 上传模板的路径
     */
    @Column(length = 1024, columnDefinition = "varchar(1024)")
    private String fileUploadPath;

    /**
     * 下载路径
     */
    @Column(length = 1024, columnDefinition = "varchar(1024)")
    private String fileDownloadPath;

    public FileEntity() {
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getLotNo() {
        return lotNo;
    }

    public void setLotNo(String lotNo) {
        this.lotNo = lotNo;
    }

    public String getMachineNo() {
        return machineNo;
    }

    public void setMachineNo(String machineNo) {
        this.machineNo = machineNo;
    }

    public String getMaterialNo() {
        return materialNo;
    }

    public void setMaterialNo(String materialNo) {
        this.materialNo = materialNo;
    }

    public String getModelNo() {
        return modelNo;
    }

    public void setModelNo(String modelNo) {
        this.modelNo = modelNo;
    }

    public String getPartNo() {
        return partNo;
    }

    public void setPartNo(String partNo) {
        this.partNo = partNo;
    }

    public String getFileUploadPath() {
        return fileUploadPath;
    }

    public void setFileUploadPath(String fileUploadPath) {
        this.fileUploadPath = fileUploadPath;
    }

    public String getFileDownloadPath() {
        return fileDownloadPath;
    }

    public void setFileDownloadPath(String fileDownloadPath) {
        this.fileDownloadPath = fileDownloadPath;
    }

    @Override
    public String toString() {
        return "FileEntity{" + "id=" + id + ", lotNo='" + lotNo + '\'' + ", machineNo='" + machineNo + '\'' + ", materialNo='" + materialNo + '\'' + ", modelNo='" + modelNo + '\'' + ", partNo='" + partNo + '\'' + ", fileUploadPath='" + fileUploadPath + '\'' + ", fileDownloadPath='" + fileDownloadPath + '\'' + '}';
    }
}
